.post-sidebar {
  padding: 0 10px !important;
}

.post-sidebar .widget.flatsome_recent_posts ul {
  padding: 10px;
}

.row-divided>.col+.col:not(.large-12) {
  border-left: 0;
}

.post-sidebar #secondary .flatsome_recent_posts {
  border-radius: 5px;
  border: 1px solid #eee;
  display: block;
  margin-bottom: 20px;
}

.post-sidebar #secondary .widget-title {
  font-size: 14px;
  text-transform: uppercase;
  font-weight: bold;
  margin-bottom: 0px;
  padding-bottom: 15px;
  padding-top: 15px;
  background: var(--fs-color-primary);
  color: #fff;
  padding-left: 10px;
  line-height: 1;
  border-radius: 5px 5px 0px 0px;
  display: flex;
}

.post-sidebar .is-divider {
  display: none;
}

.flatsome_recent_posts ul li:last-child .recent-blog-posts {
  padding-bottom: 0 !important;
}

.recent-blog-posts-li {
  padding-bottom: 10px;
  border-top: none!important;
}

.recent-blog-posts-li .recent-blog-posts {
  align-items: center !important;
  padding-top: 0 !important;

  &:hover {
    .badge::before {
      -webkit-animation: shine .75s;
      animation: shine .75s;
    }
  }
}

.recent-blog-posts-li .badge {
  width: 100px;
  border-radius: 8px;
  overflow: hidden;
  position: relative;

  &::before {
    position: absolute;
    top: 0;
    left: -75%;
    z-index: 2;
    display: block;
    content: '';
    width: 50%;
    height: 100%;
    background: -webkit-linear-gradient(left, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, .3) 100%);
    background: linear-gradient(to right, rgba(255, 255, 255, 0) 0, rgba(255, 255, 255, .3) 100%);
    -webkit-transform: skewX(-25deg);
    transform: skewX(-25deg);
  }
}

.recent-blog-posts-li .badge .badge-inner {
  padding-bottom: 63.5%;
}

.recent-blog-posts-li .recent-blog-posts a {
  margin-bottom: 0px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-decoration: none;
}

.recent-blog-posts-li .post_comments {
  display: none;
}

@keyframes shine {
  100% {
    left: 125%;
  }
}